Get Sermon Insights
curl --request GET \
--url https://api.thefaithapp.com/v1/media/{mediaId}/insights \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/media/{mediaId}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/media/{mediaId}/insights"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"media_id": 30,
"summary": "A sermon about grace and the love of God.",
"key_points": [
"God's love is active and sacrificial."
],
"scripture_refs": [
"John 3:16"
],
"reflection_questions": [
"Where do you need to receive God's grace this week?"
],
"discussion_prompts": [
"How can the group practice sacrificial love this week?"
]
}
}Content
Get Sermon Insights
Fetch published sermon summary, key points, scripture references, reflection questions, and discussion prompts for a sermon in the authenticated member’s church. Returns data: null when no published insights are available.
GET
/
v1
/
media
/
{mediaId}
/
insights
Get Sermon Insights
curl --request GET \
--url https://api.thefaithapp.com/v1/media/{mediaId}/insights \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/media/{mediaId}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/media/{mediaId}/insights"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"media_id": 30,
"summary": "A sermon about grace and the love of God.",
"key_points": [
"God's love is active and sacrificial."
],
"scripture_refs": [
"John 3:16"
],
"reflection_questions": [
"Where do you need to receive God's grace this week?"
],
"discussion_prompts": [
"How can the group practice sacrificial love this week?"
]
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Unique identifier of the audio or video sermon.
Was this page helpful?